Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.tbox
Interface TBox

All Known Implementing Classes:
  TBoxExpImpl

    public interface TBox

Method Summary
`void` | `absorb()` Absorb GCIs into primitive definitions
`boolean` | `addAxiom(aterm.ATermAppl axiom, java.util.Set<aterm.ATermAppl> explain)` Add a new sub or equivalent class axiom with the given explanation.
`boolean` | `addAxiomExplanation(aterm.ATermAppl axiom, java.util.Set<aterm.ATermAppl> explain)` Add a new explanation for the given axiom.
`boolean` | `addClass(aterm.ATermAppl term)` Add a named class declaration
`java.util.Set<aterm.ATermAppl>` | `getAllClasses()` Return all the named classes plus TOP and BOTTOM
`java.util.Set<aterm.ATermAppl>` | `getAxiomExplanation(aterm.ATermAppl axiom)` Return a single explanation for the given TBox axiom.
`java.util.Set<java.util.Set<aterm.ATermAppl>>` | `getAxiomExplanations(aterm.ATermAppl axiom)` Return multiple explanations for the given TBox axiom.
`java.util.Collection<aterm.ATermAppl>` | `getAxioms()` Return all the axioms defined in this TBox
`java.util.Collection<aterm.ATermAppl>` | `getAxioms(aterm.ATermAppl concept)` Return all the sub and equivalent class axioms that have the given concept on the left hand side
`java.util.Set<aterm.ATermAppl>` | `getClasses()` Return all the named classes
`java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>>` | `getUC()` Return the universal concept
`void` | `internalize()` Turn the non-absorbed GCIs into disjunctions that will be used in the universal concept
`void` | `normalize()` Normalize the primitive definitions so they can be directly used in unfolding
`boolean` | `removeAxiom(aterm.ATermAppl axiom)` Remove the axiom from TBox and all other axioms that depend on it.
`void` | `split()` Deprecated. Not used anymore
`java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>>` | `unfold(aterm.ATermAppl c)` Lazy unfold the given concept

Method Detail

### addClass

    boolean addClass(aterm.ATermAppl term)

  Add a named class declaration

  Returns:
    `true` if TBox changed as a result of this call

### getClasses

    java.util.Set<aterm.ATermAppl> getClasses()

  Return all the named classes

### getAllClasses

    java.util.Set<aterm.ATermAppl> getAllClasses()

  Return all the named classes plus TOP and BOTTOM

### getAxioms

    java.util.Collection<aterm.ATermAppl> getAxioms()

  Return all the axioms defined in this TBox

### getAxioms

    java.util.Collection<aterm.ATermAppl> getAxioms(aterm.ATermAppl concept)

  Return all the sub and equivalent class axioms that have the given concept on the left hand side

### split

    void split()

  Deprecated. Not used anymore

### absorb

    void absorb()

  Absorb GCIs into primitive definitions

### normalize

    void normalize()

  Normalize the primitive definitions so they can be directly used in unfolding

### internalize

    void internalize()

  Turn the non-absorbed GCIs into disjunctions that will be used in the universal concept

### getUC

    java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>> getUC()

  Return the universal concept

### unfold

    java.util.List<Pair<aterm.ATermAppl,java.util.Set<aterm.ATermAppl>>> unfold(aterm.ATermAppl c)

  Lazy unfold the given concept

  Parameters:
    `c` -
  Returns:

### addAxiom

    boolean addAxiom(aterm.ATermAppl axiom,
                     java.util.Set<aterm.ATermAppl> explain)

  Add a new sub or equivalent class axiom with the given explanation. The explanation is the syntactic axiom(s) used in the ontology. For example, a disjoint axiom is turned into a subclass axiom so the explanation for sub(a,not(b)) will be disjoint(a,b). Explanation should be a minimal set of axioms for the overall explanation to come out correct.

  Parameters:
    `axiom` -
    `explain` -
  Returns:

### addAxiomExplanation

    boolean addAxiomExplanation(aterm.ATermAppl axiom,
                                java.util.Set<aterm.ATermAppl> explain)

  Add a new explanation for the given axiom. If a previous explanation exists this will be stored as another explanation.

  Parameters:
    `axiom` -
    `explain` -
  Returns:

### removeAxiom

    boolean removeAxiom(aterm.ATermAppl axiom)

  Remove the axiom from TBox and all other axioms that depend on it. An axiom depends on another axiom if it is a syntactic transformation (as in disjoint axiom is transformed into subclass) or it is obtained via absorption (as equivalent class axioms are absorbed into subclass axioms)

  Parameters:
    `axiom` -
  Returns:

### getAxiomExplanation

    java.util.Set<aterm.ATermAppl> getAxiomExplanation(aterm.ATermAppl axiom)

  Return a single explanation for the given TBox axiom.

  Parameters:
    `axiom` -
  Returns:

### getAxiomExplanations

    java.util.Set<java.util.Set<aterm.ATermAppl>> getAxiomExplanations(aterm.ATermAppl axiom)

  Return multiple explanations for the given TBox axiom.

  Parameters:
    `axiom` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.